Mono.Data.SqliteClient 1.0.5000.0 2.0.0.0 System.Data.Common.DbConnection System.ICloneable Represents a connection to a database.

Creating a connection is the starting point for accessing a Sqlite database.

`string connectionString = "URI=file:SqliteTest.db"; IDbConnection dbcon = new SqliteConnection(connectionString);`
- Constructor
  Creates a new connection object.
  The must be set and must be called before accesses to a database can be made.
  2.0.0.0
- Constructor
  A connection string.
  Creates a new connection object with a given connection string.
  See for the format expected for . must be called before accesses to the database can be made.
  2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbTransaction `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.Common.DbTransaction To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.Common.DbTransaction `` To be added. To be added. To be added. To be added.
- Property
  System.Int32 Sets the number of milliseconds to wait before throwing a . Zero to throw a immediately while executing a command if the database is locked by another executing command (possibly in another process), otherwise the number of milliseconds to wait until the database is free before throwing an exception. The default value is zero. Set this property before opening a connection, or use the busy_timeout connection string parameter. 2.0.0.0
- Method
  System.Void `` A new database name. This method is not implemented. This method is not implemented. 2.0.0.0
- Method
  System.Void Closes the current connection. None. 2.0.0.0
- Property
  System.String A connection string specifying how to connect to the database. See the remarks section below.

  The format of a basic connection string is URI=file:/path/to/file, for example URI=file:SqliteTest.db. That will use the database SqliteTest.db in the current directory. It will be created if it does not exist.

  The ADO.NET adapter will use SQLite version 2 by default, but if version 2 is not found and version 3 is available, it will fall back to version 3. You can force the adapter to use version 3 by adding "version=3" to the connection string: URI=file:SqliteTest.db,version=3.

  These are the available connection string parameters, which should be separated by semicolons:

  Name
  Purpose Example
  URI
  a file Universal Resource Identifier (only file:) URI=file:SqliteTest.db
  version
  version of Sqlite to use: 2 or 3; the version must be installed on the system version=3
  busy_timeout
  a timeout, in milliseconds, to wait when the database is locked before throwing a SqliteBusyException, or zero to timeout immediately (since Mono 1.1.14)n busy_timeout=3000

  The busy_timeout parameter is implemented as a call to sqlite(3)_busy_timeout (http://sqlite.org/capi3ref.html#sqlite3_busy_timeout). The default value is 0, which means the adapter should throw a SqliteBusyException immediately if the database is locked.

  2.0.0.0
- Property
  System.Int32 This property is not used. Always zero. None. 2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbCommand To be added. To be added. To be added.
- Property
  System.String Gets the URI of the database file specified in the last value set for the connection string. A URI. None. 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  System.Text.Encoding Gets the character encoding specified in the last value set for the connection string. An encoding, or null if the default encoding is used. Encoding is only used when connecting to Sqlite version 2 databases. 2.0.0.0
- Property
  System.Int32 Gets the ID of the last row inserted into the database during this connection. The ID of the last inserted row. See sqlite[3]_last_insert_rowid. 2.0.0.0
- Method
  System.Void Opens the database connection. The must be set before calling this method. 2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added. To be added.
- Property
  System.Data.ConnectionState Gets the state of the connection. The state of the connection. None. 2.0.0.0
- Method
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  System.Int32 Gets the database version connected to. 2 or 3 After the connection has been opened, this property returns the version of the database actually connected to. 2.0.0.0